#### Description:

This function stores a flag with the current card in the FitsChan indicating that the card should not be removed from the FitsChan when an Object is read from the FitsChan using astRead.

Cards that have not been flagged in this way are removed when a read operation completes succesfully, but only if the card was used in the process of creating the returned AST Object. Any cards that are irrelevant to the creation of the AST Object are retained whether or not they are flagged.

#### Synopsis

void astRetainFits( AstFitsChan ∗this )

#### Parameters:

##### this

Pointer to the FitsChan.

#### Notes:

- This function returns without action if the FitsChan is initially positioned at the `"` end-of-file`"` (i.e. if the Card attribute exceeds the number of cards in the FitsChan).

- The current card is not changed by this function.

Copyright (C) 2021 East Asian Observatory